Bug 186458 - [JSC] Array.prototype.sort should rejects null comparator
Summary: [JSC] Array.prototype.sort should rejects null comparator
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on: 171621
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-09 02:37 PDT by Yusuke Suzuki
Modified: 2018-06-12 05:10 PDT (History)
9 users (show)

See Also:


Attachments
Patch (5.80 KB, patch)
2018-06-09 02:41 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2018-06-09 02:37:07 PDT
[JSC] Array.prototype.sort should rejects null comparator
Comment 1 Yusuke Suzuki 2018-06-09 02:41:10 PDT
Created attachment 342364 [details]
Patch
Comment 2 Keith Miller 2018-06-09 22:58:54 PDT
Comment on attachment 342364 [details]
Patch

ha! How times change... r=me.
Comment 3 Yusuke Suzuki 2018-06-10 00:10:11 PDT
Comment on attachment 342364 [details]
Patch

Thanks
Comment 4 WebKit Commit Bot 2018-06-10 00:36:46 PDT
Comment on attachment 342364 [details]
Patch

Clearing flags on attachment: 342364

Committed r232666: <https://trac.webkit.org/changeset/232666>
Comment 5 WebKit Commit Bot 2018-06-10 00:36:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2018-06-10 00:37:20 PDT
<rdar://problem/40978395>
Comment 7 Dawei Fenton (:realdawei) 2018-06-11 13:32:54 PDT
Looks like we have some new test262 errors after this revision:


Sample Output: 
! NEW FAIL test/built-ins/Array/prototype/sort/comparefn-nonfunction-call-throws.js (strict mode)
! NEW FAIL test/built-ins/Array/prototype/sort/comparefn-nonfunction-call-throws.js (default)

https://build.webkit.org/builders/Apple%20Sierra%20Debug%20Test262%20%28Tests%29/builds/2822/steps/test262-test/logs/stdio
Comment 8 Yusuke Suzuki 2018-06-12 05:10:03 PDT
Committed r232750: <https://trac.webkit.org/changeset/232750>